> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# gemini-3.5-flash

> 根据对话内容生成模型响应。Gemini 3.5 Flash 是 Google 最智能的 Flash 模型，针对智能体和编码任务进行了优化。



## OpenAPI

````yaml zh/api-reference/model-api/google/openapi/gemini-3.5-flash/openapi.yaml POST /v1beta/models/gemini-3.5-flash:generateContent
openapi: 3.1.0
info:
  title: Gemini 3.5 Flash
  description: 通过 AnyFast 代理使用 Google Gemini 3.5 Flash
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security: []
paths:
  /v1beta/models/gemini-3.5-flash:generateContent:
    post:
      summary: 文本生成
      description: 根据对话内容生成模型响应。Gemini 3.5 Flash 是 Google 最智能的 Flash 模型，针对智能体和编码任务进行了优化。
      operationId: Gemini35FlashGenerateContent
      parameters:
        - name: key
          in: query
          description: API 密钥
          required: true
          schema:
            type: string
          example: YOUR_API_KEY
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - contents
              properties:
                contents:
                  type: array
                  description: 包含用户和模型消息的对话内容数组。
                  items:
                    type: object
                    properties:
                      role:
                        type: string
                        enum:
                          - user
                          - model
                        example: user
                      parts:
                        type: array
                        items:
                          type: object
                          properties:
                            text:
                              type: string
                              description: 文本内容
                  example:
                    - role: user
                      parts:
                        - text: 解释并行智能体执行的工作原理。
                systemInstruction:
                  type: object
                  description: 系统指令
                  properties:
                    parts:
                      type: array
                      items:
                        type: object
                        properties:
                          text:
                            type: string
                  example:
                    parts:
                      - text: 你是一个有帮助的助手。
                generationConfig:
                  type: object
                  properties:
                    temperature:
                      type: number
                      minimum: 0
                      maximum: 2
                      default: 1
                      description: >-
                        采样温度。较高的值会使输出更加随机。Gemini 3.5 Flash 不推荐使用——请改用
                        thinking_level。
                    topP:
                      type: number
                      minimum: 0
                      maximum: 1
                      default: 1
                      description: 核采样阈值。Gemini 3.5 Flash 不推荐使用。
                thinkingConfig:
                  type: object
                  description: 思考配置，用于控制推理深度
                  properties:
                    thinkingLevel:
                      type: string
                      enum:
                        - minimal
                        - low
                        - medium
                        - high
                      default: medium
                      description: >-
                        控制模型推理深度。minimal 追求速度，low 适合简单任务，medium（默认）适合大多数任务，high
                        适合复杂推理。
      responses:
        '200':
          description: 响应生成成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateContentResponse'
        '400':
          description: 请求无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: 未授权
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GenerateContentResponse:
      type: object
      properties:
        candidates:
          type: array
          items:
            type: object
            properties:
              content:
                type: object
                properties:
                  parts:
                    type: array
                    items:
                      type: object
                      properties:
                        text:
                          type: string
                          example: 并行智能体执行允许多个 AI 智能体同时工作...
                  role:
                    type: string
                    example: model
              finishReason:
                type: string
                example: STOP
        usageMetadata:
          type: object
          properties:
            promptTokenCount:
              type: integer
            candidatesTokenCount:
              type: integer
            totalTokenCount:
              type: integer
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
            status:
              type: string

````